This discussion is archived
2 Replies Latest reply: Apr 15, 2013 6:50 AM by LaserSoft RSS

db 11.2.0.3 install fails with this exception

1001564 Newbie
Currently Being Moderated
Hello All,


To give a background :

have Virtual box on windows 7.. Virtual box have the oracle linux 6. Completed installed for clusterware.

I have successfully installed clusterware, while attempting to install database i get a alert at the step 2 of the db install.

this is my second attempt to install the db software , at the first time I had the bad checksum of the db installation software .. I cleaned up the Oracle home and made the second attempt to get the below warning and fails:

more oraInstall2013-04-11_06-50-25PM.err
---# Begin Stacktrace #---------------------------
ID: oracle.install.ivw.common.validator.SupportedOSValidator:363
oracle.cluster.verification.PreReqNotSupportedException: Reference data is not a
vailable for verifying prerequisites on this operating system distribution
     at oracle.cluster.verification.constraints.XmlTaskFactory.getTasks(XmlTa
skFactory.java:301)
     at oracle.cluster.verification.constraints.XmlTaskFactory.getTasks(XmlTa
skFactory.java:159)
     at oracle.ops.verification.framework.util.VerificationUtil.isPreReqSuppo
rted(VerificationUtil.java:7441)
     at oracle.ops.verification.framework.util.VerificationUtil.isPreReqSuppo
rted(VerificationUtil.java:7390)
     at oracle.cluster.verification.ClusterVerification.isPreReqSupported(Clu
sterVerification.java:6598)
     at oracle.install.ivw.common.validator.SupportedOSValidator.verifyEnviro
nment(SupportedOSValidator.java:68)
     at oracle.install.ivw.common.validator.SupportedOSValidator.validate(Sup
portedOSValidator.java:96)
     at oracle.install.commons.flow.validation.ValidationHelper.validateState
(ValidationHelper.java:185)
     at oracle.install.commons.flow.AbstractFlowExecutor.validate(AbstractFlo
wExecutor.java:415)
     at oracle.install.commons.flow.AbstractFlowExecutor.leaveVertex(Abstract
FlowExecutor.java:639)
     at oracle.install.commons.flow.AbstractFlowExecutor.transition(AbstractFlowExecutor.java:331)
     at oracle.install.commons.flow.AbstractFlowExecutor.nextState(AbstractFlowExecutor.java:271)
     at oracle.install.commons.flow.AbstractFlowExecutor.nextViewState(AbstractFlowExecutor.java:230)
     at oracle.install.commons.flow.DefaultFlowNavigator.goForward(DefaultFlowNavigator.java:58)
     at oracle.install.commons.flow.jewt.FlowWizard$1.run(FlowWizard.java:125)
     at oracle.install.commons.flow.jewt.FlowWizard$TransitionManager$1.run(FlowWizard.java:101)
     at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
     at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
     at java.util.concurrent.FutureTask.run(FutureTask.java:123)
     at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:651)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:676)
     at java.lang.Thread.run(Thread.java:637)

---# End Stacktrace #-----------------------------
---# Begin Stacktrace #---------------------------
ID: oracle.install.commons.util.exception.DefaultErrorAdvisor:366
oracle.cluster.verification.PreReqNotSupportedException: Reference data is not available for verifying prerequisites on this operating system distribution
     at oracle.cluster.verification.constraints.XmlTaskFactory.getTasks(XmlTaskFactory.java:301)
     at oracle.cluster.verification.constraints.XmlTaskFactory.getTasks(XmlTaskFactory.java:159)
     at oracle.ops.verification.framework.util.VerificationUtil.isPreReqSupported(VerificationUtil.java:7441)
     at oracle.ops.verification.framework.util.VerificationUtil.isPreReqSupported(VerificationUtil.java:7390)
     at oracle.cluster.verification.ClusterVerification.isPreReqSupported(ClusterVerification.java:6598)
     at oracle.install.ivw.common.validator.SupportedOSValidator.verifyEnvironment(SupportedOSValidator.java:68)
     at oracle.install.ivw.common.validator.SupportedOSValidator.validate(SupportedOSValidator.java:96)
     at oracle.install.commons.flow.validation.ValidationHelper.validateState(ValidationHelper.java:185)
     at oracle.install.commons.flow.AbstractFlowExecutor.validate(AbstractFlowExecutor.java:415)
     at oracle.install.commons.flow.AbstractFlowExecutor.leaveVertex(AbstractFlowExecutor.java:639)
     at oracle.install.commons.flow.AbstractFlowExecutor.transition(AbstractFlowExecutor.java:331)
     at oracle.install.commons.flow.AbstractFlowExecutor.nextState(AbstractFlowExecutor.java:271)
     at oracle.install.commons.flow.AbstractFlowExecutor.nextViewState(AbstractFlowExecutor.java:230)
     at oracle.install.commons.flow.DefaultFlowNavigator.goForward(DefaultFlowNavigator.java:58)
     at oracle.install.commons.flow.jewt.FlowWizard$1.run(FlowWizard.java:125)
     at oracle.install.commons.flow.jewt.FlowWizard$TransitionManager$1.run(FlowWizard.java:101)
     at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
     at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
     at java.util.concurrent.FutureTask.run(FutureTask.java:123)
     at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:651)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:676)
     at java.lang.Thread.run(Thread.java:637)

---# End Stacktrace #-----------------------------



I tried to deinstall the failed installation through deinstall but get an error with that as well with a perl error. Currently I do not have any files under my oracle home.

Any suggestions on how to proceed at this point would be really helpful.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points